ThreeB 1.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
DataForMCMC Class Reference
Storm classes

Closure hoding the data required do use GibbsSampler2 See FitSpots for naming of variables. More...

Inheritance diagram for DataForMCMC:

List of all members.

## Public Member Functions
MT19937 & | get_rng () const
| DataForMCMC (const vector< ImageRef > &pixels_, const vector< vector< double > > &pixel_intensities_, double mu_brightness_, double sigma_brightness_, double mu_blur_, double sigma_blur_, double variance_, int samples_, int sample_iterations_, Matrix< 3 > A_, Vector< 3 > pi_, MT19937 &rng_)
## Protected Attributes
const vector< ImageRef > & | pixels
const vector< vector< double > > & | pixel_intensities
const double | mu_brightness
const double | sigma_brightness
const double | mu_blur
const double | sigma_blur
const double | variance
const int | samples
const int | sample_iterations
const Matrix< 3 > | A
const Vector< 3 > | pi
MT19937 & | rng

## Detailed Description

Closure hoding the data required do use GibbsSampler2 See FitSpots for naming of variables.

Definition at line 195 of file multispot5.cc.

## Constructor & Destructor Documentation

DataForMCMC::DataForMCMC | ( | const vector< ImageRef > & | pixels_,
|  | const vector< vector< double > > & | pixel_intensities_,
|  | double | mu_brightness_,
|  | double | sigma_brightness_,
|  | double | mu_blur_,
|  | double | sigma_blur_,
|  | double | variance_,
|  | int | samples_,
|  | int | sample_iterations_,
|  | Matrix< 3 > | A_,
|  | Vector< 3 > | pi_,
|  | MT19937 & | rng_
| ) |  | `[inline]`

Definition at line 214 of file multispot5.cc.

        :pixels(pixels_),
         pixel_intensities(pixel_intensities_),
         mu_brightness(mu_brightness_),
         sigma_brightness(sigma_brightness_),
         mu_blur(mu_blur_),
         sigma_blur(sigma_blur_),
         variance(variance_),
         samples(samples_),
         sample_iterations(sample_iterations_),
         A(A_),
         pi(pi_),
         rng(rng_)
        {}

## Member Function Documentation

MT19937& DataForMCMC::get_rng | ( |  | ) | const`[inline]`

Definition at line 208 of file multispot5.cc.

Referenced by NegativeFreeEnergy::compute_with_mask(), and NegativeFreeEnergy::operator()().

        {
            return rng;
        }

## Member Data Documentation

const vector<ImageRef>& DataForMCMC::pixels`[protected]`

Definition at line 198 of file multispot5.cc.

const vector<vector<double> >& DataForMCMC::pixel_intensities`[protected]`

Definition at line 199 of file multispot5.cc.

const double DataForMCMC::mu_brightness`[protected]`

Definition at line 200 of file multispot5.cc.

const double DataForMCMC::sigma_brightness`[protected]`

Definition at line 200 of file multispot5.cc.

const double DataForMCMC::mu_blur`[protected]`

Definition at line 200 of file multispot5.cc.

const double DataForMCMC::sigma_blur`[protected]`

Definition at line 200 of file multispot5.cc.

const double DataForMCMC::variance`[protected]`

Definition at line 201 of file multispot5.cc.

const int DataForMCMC::samples`[protected]`

Definition at line 202 of file multispot5.cc.

const int DataForMCMC::sample_iterations`[protected]`

Definition at line 202 of file multispot5.cc.

const Matrix<3> DataForMCMC::A`[protected]`

Definition at line 203 of file multispot5.cc.

const Vector<3> DataForMCMC::pi`[protected]`

Definition at line 204 of file multispot5.cc.

MT19937& DataForMCMC::rng`[protected]`

Definition at line 205 of file multispot5.cc.

The documentation for this class was generated from the following file:

- multispot5.cc